summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2020-07-02 12:09:37 +0200
committerFabian Groffen <grobian@gentoo.org>2020-07-02 12:09:46 +0200
commit6ffa98daff8e01386d3250caeea233dc5feb0af9 (patch)
treef98afab84c78b1aca9580d89ef13cb90691212a3
parentxfce-base/thunar: Bump to 4.15.1 (diff)
downloadgentoo-6ffa98daff8e01386d3250caeea233dc5feb0af9.tar.gz
gentoo-6ffa98daff8e01386d3250caeea233dc5feb0af9.tar.bz2
gentoo-6ffa98daff8e01386d3250caeea233dc5feb0af9.zip
app-portage/portage-utils-0.88: version bump
mainly qpkg changes to better support different compression formats now Portage switched to zstd Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
-rw-r--r--app-portage/portage-utils/Manifest1
-rw-r--r--app-portage/portage-utils/portage-utils-0.88.ebuild85
2 files changed, 86 insertions, 0 deletions
diff --git a/app-portage/portage-utils/Manifest b/app-portage/portage-utils/Manifest
index b983dd18876..febf97a9572 100644
--- a/app-portage/portage-utils/Manifest
+++ b/app-portage/portage-utils/Manifest
@@ -1,2 +1,3 @@
DIST portage-utils-0.80.tar.xz 1762692 BLAKE2B 32e4502d517ec088eadf17a4a348b9b9bc33348380b65f93ac7c043150732ba3ff0d18ee96f8877c697a91000fdc036de392d6e6711d62248bb7c57e25d4433f SHA512 cca86877e87e5bd2e9423822db4b7afa15e8f291717c808ef0455b121db0778b2364552e9f1d5e1a8bad3f1f8880ae2b5dbd586bf1dd74d7c4f4e72fa990c78c
DIST portage-utils-0.87.tar.xz 1772956 BLAKE2B b1487d89303b524ffa9e6030feba181fcad73a6f38febf29f63b1f7bcd7a5080ddb1f907ca217040d064427f2060bb3885a61c30663594428be475a5bf7253f0 SHA512 a29f2d1fc85aea1c2b4c8b16fca0e9b559a980951f79cb10d7fd836d99ec65a904f2cbc54a949150ce490ba5d705b0aa5aa39f56365968b3dd591cb3d7c5eb21
+DIST portage-utils-0.88.tar.xz 1776100 BLAKE2B 5165c99f163a39e2d8e9d503a43982999e70ff647af16acaae84279d17c327e78c2722fa9f332c570e8bfed7647ebb7f96281c3ed2c42948234fb23192e73ca5 SHA512 f5bddd170b66753bf3abd870add6f893e31ae971cc15f3b34366fbbd6d69848aa8aa301bbf3e4185f152ce110e890178828f867e64d8ede74c17e819c2961562
diff --git a/app-portage/portage-utils/portage-utils-0.88.ebuild b/app-portage/portage-utils/portage-utils-0.88.ebuild
new file mode 100644
index 00000000000..30461bad45e
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.88.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+DESCRIPTION="Small and fast Portage helper tools written in C"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Portage-utils"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="nls static openmp +qmanifest +qtegrity libressl"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3 autotools
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/portage-utils.git"
+else
+ SRC_URI="https://dev.gentoo.org/~grobian/distfiles/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+RDEPEND="
+ qmanifest? (
+ openmp? (
+ || (
+ >=sys-devel/gcc-4.2:*[openmp]
+ sys-devel/clang-runtime:*[openmp]
+ )
+ )
+ static? (
+ app-crypt/libb2:=[static-libs]
+ !libressl? ( dev-libs/openssl:0=[static-libs] )
+ libressl? ( dev-libs/libressl:0=[static-libs] )
+ sys-libs/zlib:=[static-libs]
+ app-crypt/gpgme:=[static-libs]
+ )
+ !static? (
+ app-crypt/libb2:=
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ sys-libs/zlib:=
+ app-crypt/gpgme:=
+ )
+ )
+ qtegrity? (
+ openmp? (
+ || (
+ >=sys-devel/gcc-4.2:*[openmp]
+ sys-devel/clang-runtime:*[openmp]
+ )
+ )
+ static? (
+ !libressl? ( dev-libs/openssl:0=[static-libs] )
+ libressl? ( dev-libs/libressl:0=[static-libs] )
+ )
+ !static? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ )
+ )
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ econf \
+ --disable-maintainer-mode \
+ --with-eprefix="${EPREFIX}" \
+ $(use_enable qmanifest) \
+ $(use_enable qtegrity) \
+ $(use_enable openmp) \
+ $(use_enable static)
+}
+
+pkg_postinst() {
+ local pvr
+ local doshow=
+ for pvr in ${REPLACING_VERSIONS} ; do
+ [[ ${pvr} != "0.8"[012]* ]] && doshow=true
+ done
+
+ if [[ ${doshow} == true ]] ; then
+ elog "This version of Portage utils has undergone significant changes."
+ elog "Please read the elog manpages for applets like qlop(1) and"
+ elog "qfile(1) where argument options have changed."
+ fi
+}